<?php
session_start();

$dat = $_POST['datum'];
$pop = $_POST['popis'];
$chor = $_POST['Choroba'];
if ($_SESSION['vrc']==null){
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
}

if ($_SESSION['vrc']!=null){
$hledejrc_hash=$_SESSION['vrc'];
$hledejpr=null;
$hledejrc=1;
}
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}


?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/scw.js"></script>
  </head>
  <body>
     <body>
<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <br />
        <ul class="info">
          <li>Info</li>
          <li class="tag">Nové vyšetření</li>
               </ul>

              <?
  $olo=$_SESSION['prihlaseny'];
                               do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$doknem = MySQL_Query("SELECT id_doktor_nemocnice FROM doktor_nemocnice WHERE doktor_nemocnice.id_doktor='$olo'");
  if (!$doknem):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
			endif;
      @$trap=MySQL_Fetch_Array($doknem);
$iddoknem= $trap['id_doktor_nemocnice'];
    
      	MySQL_Close($spojeni);    
} while (false);
      
             
             
              
              
              
              
              if   ($dat==null AND $pop!=null )
  {
  echo "Prosím vyplňte veškeré údaje, včetně datumu vyšetření";
  }
 if   ($pop==null AND $dat!=null)
  {
  echo "Prosím vyplňte veškeré údaje, včetně popisu vyšetření";
  }
    if   ($dat==null AND $pop==null )
  {
  echo "Prosím vyplňte veškeré údaje, včetně datumu a popisu vyšetření";
  }
  
  
  
              if   ($dat!=null AND $pop!=null)
                      {
                      do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("INSERT INTO vysetreni (datum, text, kwid) VALUES ('$dat', '$pop', '$chor')");
  if (!$vysledek):
		echo "Došlo k chybě při vkládání dat do databáze.<BR>\n";
		break;
			endif;
@$pacient= MySQL_Query("SELECT pacient.id_pacient FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$pokus=MySQL_Fetch_Array($pacient);
$vpacient= $pokus['id_pacient'];
@$vysetreni= MySQL_Query("SELECT id_vysetreni FROM vysetreni WHERE vysetreni.datum='$dat' AND vysetreni.text='$pop'");
@$pokus=MySQL_Fetch_Array($vysetreni);
$idvys= $pokus['id_vysetreni'];
@$vysledek = MySQL_Query("INSERT INTO pacient_vysetreni (id_pacient, id_doktor_nemocnice, id_vysetreni) VALUES ('$vpacient', '$iddoknem', '$idvys')");
	MySQL_Close($spojeni);    
} while (false);
echo "Nové vyšetření bylo úspěšně uloženo.<BR>\n";
   echo "<BR />";
  // pokus
$dir = "menu/upload/$hledejrc_hash/$idvys";

// set up basic connection
$conn_id = ftp_connect("ftp.johny.cz");
$ftp_user_name="marvik.johny.cz";
$ftp_user_pass="marvik30";
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);

// try to create the directory $dir
if (ftp_mkdir($conn_id, $dir)) {
 echo "Úspěšně vytvořen adresář pro vkládání dat. \n";
   echo "<BR />";
} else {
 echo "Chyba při vytváření adresáře pro data \n";
   echo "<BR />";
}
$file= "menu/upload/$hledejrc_hash/$idvys";
if (ftp_chmod($conn_id, 0777, $file) !== false) {
 echo "Práva ke složce byla úspěšně nastavena.\n";
 echo "<BR />";
} else {
 echo "Nepodařilo se nastavit správně práva. \n";
  echo "<BR />";
}
// close the connection
ftp_close($conn_id);
  echo "<BR />"; 

echo "Nyní můžete k danému vyšetření nahrát i obrazovou dokumentaci:<BR>\n";
echo    "<FORM ACTION='pridatdokumentaci.php' METHOD=POST>";
echo "<BR >";
echo    "<INPUT TYPE=HIDDEN NAME='idvys' VALUE='$idvys'>   ";
echo    "<INPUT TYPE=SUBMIT NAME='x' VALUE='Přidat dokumentaci'>   ";
echo    "</FORM>";
    } 
  
  ?>
      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="hledat.php">Nové hledání..</a></li>
            <li><a href="smazat.php">Smazat pacienta</a></li>
          <li><a href="upravit.php">Zpět na pacienta</a></li>
           <li><a href="mysql.php">Zpět do hlavního menu</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>